My finest strength, My leading strength, My biggest specialty, My biggest capability, My strong point, my strong, my strength

problems, problem, issue, issues, trouble, troubles, difficulties

solving, solve, addressed, resolve

faster, fast, quickly, slow,,,

is not, is not, are not, do not, does not, don't, doesn't

i can, i could, I am capable, I have, i have to

i can not, i could not, I am not capable, I don't have, i do not have, i am not

my appearance, my personality, thinking skills, thinking skill, teamwork, teamwork skills, self management, professionalism, critical thinking, planning



my greatest weakness,my biggest inability,my worst inability,my worst weakness,my greatest weakness,my weakness,my inability

Lack of confidence, Being shy, Unconfidence, lack of confident, Being afraid, shy, afraid, being afraid

Inflexibility, lack of flexibility, lack of flexible, not flexible, not flexibility being unable to change

my overconfidence, my overconfidence, my overconfident, my time management skills, my time management skill, my time management


enthusiasm,dedication,warmth,ardor,devotion,affection,passion,inspiration


attentively,carefully,diligent,laborious,painstaking,industrious,dedicated,hardworking

visionary,inventive,ingenious,inspired,clever,innovative,creative

going bus,going car,going motorbikes,going cycling,going skating,going fishing,going skiing,Riding bike,Riding motorbikes,Riding skiing,Riding bus

reading books, reading novels, Reading poems, Reading journals

reading books, reading novels, Reading poems, Reading journals, going bus,going car,going motorbikes,going cycling,going skating,going fishing,going skiing,Riding bike,Riding motorbikes,Riding skiing,Riding bus, reading at home, reading at house, reading at company


read books, read novels, Read poems, Read journals, go bus,go car,go motorbikes,go cycling,go skating,go fishing,go skiing,Ride bike,Ride motorbikes,Ride skiing,Ride bus, read at home, read at house, read at company

naping, snoozing, sleeping, sleep, snooze, nape

the library, class, my room, school, at home, work, company, office, my office, library, my office

have, meet, encounter, face, experience

